org.apache.poi.hslf.record

## Class FontEmbeddedData

- java.lang.Object
- - org.apache.poi.hslf.record.Record
  - - org.apache.poi.hslf.record.RecordAtom
    - - org.apache.poi.hslf.record.FontEmbeddedData

- All Implemented Interfaces:
    FontFacet, GenericRecord

      public class FontEmbeddedData
      extends RecordAtom
      implements FontFacet

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hslf.record.Record

      `logger`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getFontData()`
    `FontHeader` | `getFontHeader()`
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `long` | `getRecordType()` Returns the type (held as a little endian in bytes 3 and 4) that this class handles
    `java.lang.String` | `getTypeface()`
    `int` | `getWeight()` Get the font weight.
    `boolean` | `isItalic()`
    `void` | `setFontData(byte[] fontData)`
    `void` | `writeOut(java.io.OutputStream out)` Have the contents printer out into an OutputStream, used when writing a file back out to disk (Normally, atom classes will keep their bytes around, but non atom classes will just request the bytes from their children, then chuck on their header and return)

    - ### Methods inherited from class org.apache.poi.hslf.record.RecordAtom

      `getChildRecords, isAnAtom`

    - ### Methods inherited from class org.apache.poi.hslf.record.Record

      `buildRecordAtOffset, createRecordForType, findChildRecords, getGenericChildren, getGenericRecordType, writeLittleEndian, writeLittleEndian`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.fonts.FontFacet

      `setItalic, setWeight`

- - ### Method Detail

    - #### getRecordType

          public long getRecordType()

      Description copied from class: `Record`
      Returns the type (held as a little endian in bytes 3 and 4) that this class handles
      Specified by:
        `getRecordType` in class `Record`

    - #### writeOut

          public void writeOut(java.io.OutputStream out)
                        throws java.io.IOException

      Description copied from class: `Record`
      Have the contents printer out into an OutputStream, used when writing a file back out to disk (Normally, atom classes will keep their bytes around, but non atom classes will just request the bytes from their children, then chuck on their header and return)
      Specified by:
        `writeOut` in class `Record`
      Throws:
        `java.io.IOException`

    - #### setFontData

          public void setFontData(byte[] fontData)

    - #### getFontHeader

          public FontHeader getFontHeader()

    - #### getWeight

          public int getWeight()

      Description copied from interface: `FontFacet`
      Get the font weight.

      The weight of the font in the range 0 through 1000. For example, 400 is normal and 700 is bold. If this value is zero, a default weight is used.

      Specified by:
        `getWeight` in interface `FontFacet`
      Returns:
        the font weight

    - #### isItalic

          public boolean isItalic()

      Specified by:
        `isItalic` in interface `FontFacet`
      Returns:
        `true`, if the font is italic

    - #### getTypeface

          public java.lang.String getTypeface()

    - #### getFontData

          public java.lang.Object getFontData()

      Specified by:
        `getFontData` in interface `FontFacet`
      Returns:
        the wrapper object holding the font data

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

      Specified by:
        `getGenericProperties` in interface `GenericRecord`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.